Subject: Re: bug#47596: File descriptor error when exiting emacs on android 11

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 12 May 2021 15:52:52 +0200

Henrik Grimler <[email-masked]> writes:

> Enh at google suggested [1] that `setlinebuf (stderr)` could be an
> alternative instead of opening a copy of stderr.  I tried out the
> attached patch, which removes the buferr variable and uses setlinebuf
> on stderr instead, and it seem to work (in the sense that emacs opens
> and closes without errors) on archlinux as well as android. 
>
> Could this work or do we need to have both buferr and stderr?

Makes sense to me, but I seem to vaguely recall there being a lot of
discussion about the buffered stderr when it was introduced...  but none
of the details.  Eli?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no